Skip to main content
GET
List assets

Query Parameters

folder_id
integer<int32>

Lists the assets directly inside this folder. When omitted, all assets across every folder level are returned as a flat list.

type
enum<string>

Filters assets on their type. When omitted, assets of every type are returned.

Available options:
Unknown,
File,
Url,
Cobranded,
Folder
offset
integer<int32>

The cursor used in pagination. This is the index of the first asset to be returned.

limit
integer<int32>

The maximum number of assets to be returned. The default is 20.

sort_by
string

The property used to sort the assets by. The default is Name.

order_by
string

The sorting direction for the returned assets. Accepted values: ASC, DESC. The default is ASC.

Response

Assets returned

items
object[] | null
paginationSkipCount
integer<int32>
totalCount
integer<int32>

Gets or sets the total number of items that could be returned by this command (without pagination).